Subject: Re: [humanmarkup] Introducing the Logical Language Group

From: "Ranjeeth Kumar Thunga" <[email-masked]>
Date: Wed, 7 Mar 2001 23:42:25 -0500

John Cowan: Good to have you join HumanMarkup--if what Len says is true, I
welcome your relentless attitude to our group :).

------
Introduction to Lojban members:
Humanmarkup is an endeavor to develop XML standards for the expression of
human characteristics including emotion, gestures, intent, attitude, and
flexibility. Our groupsite is http://groups.yahoo.com/group/humanmarkup,
and our website is http://www.humanmarkup.org.
------

HumanMarkup can certainly benefit from the 40+ years of research and
experience from Lojban members. Yes, it is a lot to digest (give it to us
piecemeal John), but fascinated research that has taken place. I see that
Lojban has sought to rework the very essence of language from the top-down
(as opposed to the ad-hoc fashion through which all of today's languages
were built--save esperanto ;)) Additionally, emotional and intent
meta-information is easily appended to allow clear explicit communication.

The parallels between the efforts are obvious...of course, HumanML is
focused specifically on developing XML standards, and focused exclusively on
meta 'human' characteristics of communications (not so much the language
itself). Additionally, HumanML hasn't formalized a XML vocabulary (possibly
several?), we are looking to explicitly define relationships between the
various human internal states (allowing derivations of vocal patterns or
gestures from a given emotion, for example).

Nonetheless, a lot of groundwork done by Lojban, as well as insight and
experience, can be shared with the HumanMarkup endeavor. It would be very
interesting to hear personal testimony of using Lojban in daily life, to
determine what type of benefits are achieved through this more *explicit*
language. Additionally, I would like to know if Lojban is organic (are
there new terms added periodically?).

Each paradigm in psychology and spirituality has a different way of
describing human characteristics--the {E x C x S} model sounds very
efficient. Yet, how does it account for other theories or paradigms for
different beliefs or models of human emotion and intent? Or is that
something that exists as part of the context of the communication itself
(i.e. no special system).

<john_cowan>
> attitudes/emotions (both propositional and "pure")
> evidentials ("how the speaker know")
> discourse functions
> speech acts
</john_cowan>

Certainly this would be a great treasure chest of time-tested terms to
integrate with HumanML.

We are still growing as a group (in the last 3 weeks, we have grown to 33
members). I forsee within a few weeks of us 'brainstorming', as well as new
member contributions, we should have enough ideas expressed to start
establishing an overarching framework. During this 'brainstorming' period
we very much welcome the input from yourself, and Lojban, in cultivating
universal standards for human expression based on XML.

======================
Regards,
Ranjeeth Kumar Thunga
[email-masked]
======================

----- Original Message -----
From: "John Cowan" <[email-masked]>
To: "humanmarkup" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, March 07, 2001 6:37 PM
Subject: [humanmarkup] Introducing the Logical Language Group

> [Prenote for lojban-list members: the Human Markup Language
> web page is at http://humanmarkup.org]
>
> This is to introduce the Logical Language Group to the Human
> Markup Language effort. For the past 40+ years, the LLG and
> its predecessors have been engaged in making a *fully explicit*
> language for human communication. (Don't get hung up on the
> word "logical" in our title; we *use* predicate logic but
> we are not limited by it.) Our Web page is at http://www.lojban.org .
>
> As part of this effort, we have devised a mechanism for expressing,
> rather than stating or predicating, human emotions. Essentially,
> short words formed mostly of vowels only are used to "decorate"
> plain statements to supply the emotional or discursive context
> for them.
>
> In order to move from an abstract design to a fully functional
> language, we have had to create a taxonomy of emotions. It seems
> to me (speaking for myself, not the LLG) that adopting this
> taxonomy would make a useful starting point for the HumanML
> effort, at least for the following fields of expression:
>
> attitudes/emotions (both propositional and "pure")
> evidentials ("how the speaker know")
> discourse functions
> speech acts
>
> We have nothing special to provide on gestures.
>
> Our general design identified 39 emotional or attitudinal
> scales. Each scale has end-points which can be thought of as
> opposing emotions/attitudes, such as "surprise...expectation".
> If you are surprised at something, you are not at all expecting it,
> and vice versa. There is also a zero point on each scale, which in
> this case can be labeled "no surprise": something which is neither
> surprising nor expected.
>
> Just 39 emotional scales are obviously not enough for completeness.
> Starting with a much longer list, we were able to subcategorize our 39
> emotions by employing 6 general categories and 8 more restricted
> ones. The general categories can be applied to subdivide almost any
> emotion. For example, "physical" is a general category and so is
> "social": we can distinguish between physical caution (keeps you from
> jumping off the roof) and social caution (keeps you from making
> rude comments in a loud voice in public). The restricted
> categories can formally be applied to any of the emotional
> scales, but may only be useful with some.
>
> Somewhat arbitrarily, we subdivide each scale into 7 points:
> very negative, negative, slightly negative, neutral, slightly
> positive, positive, very positive. For example, the scale
> "pride...shame" has the points "very proud", "proud", "slightly
> proud", "modest", "slightly ashamed", "ashamed", and "very
> ashamed". The English words we use to describe the scales
> don't always exactly fit the pure notion of a scale, which
> is intended to take precedence.
>
> The general model therefore is that one's emotional state is a
> set of tuples {E x C x S}, where E is a principal emotion,
> C is a general or restricted category, and S is a point on its scale.
> By expressing the complete set of tuples, one can give one's
> entire emotional state, but of course it will be typical to
> express just a few. For completeness, we augment E with the
> neutral or unspecified attitude/emotion, which can be used
> to express a category or scale-point by itself when the
> emotion is obvious.
>
> Grammatically, we allow the attachment of an emotion to any amount of
> text or speech, from a single word to a whole document or discussion.
> This agrees well with hierarchical markup of documents.
>
> I don't wish to overwhelm the HumanML (I favor this form, BTW) community
> with too much detail all at once. The writeup at
> http://www.lojban.org/files/reference-grammar/chap13.html
> may not be very comprehensible out of its context, and is focused
> on the specifics of the Lojban language rather than the design.
> I will therefore enter into specifics about emotions and the
> other categories mentioned above in future postings, assuming the
> HumanML response is not too negative. (I am quite
> prepared to be told that my efforts are premature or off the
> point.)
>
> --
> There is / one art || John Cowan <[email-masked]>
> no more / no less || http://www.reutershealth.com
> to do / all things || http://www.ccil.org/~cowan
> with art- / lessness \\ -- Piet Hein
>
>
>
> To unsubscribe send an email to:
> [email-masked]
>
>
>
> Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/
>